// @ts-nocheck
import './BackgroundDecor.css';
import React, { useRef } from 'react';
import { cn as classNames } from '../../utils/bem';
var cn = classNames('BackgroundDecor');
export var BackgroundDecor = function (_a, ref) {
    var view = _a.view, position = _a.position, offset = _a.offset, color = _a.color, fill = _a.fill;
    var refEl = useRef();
    return (React.createElement("div", { className: cn({ view: view, position: position, offset: offset, color: color, fill: fill }), ref: refEl }));
};
